#!/bin/bash

cd SOURCE/
nasm BOOT.ASM -f bin -O0 -o ../BOOT.BIN
nasm SYSTEM.ASM -f bin -O0 -o ../SYSTEM.BIN

cd ..
if [[ -f EttinOS.img ]]
then
    rm EttinOS.img
fi
mkfs.fat -C EttinOS.img 1440
mcopy -i EttinOS.img SYSTEM.BIN ::
dd if=BOOT.BIN of=EttinOS.img conv=notrunc bs=512 count=1
